---
description: Docker extension API reference
keywords: Docker, extensions, sdk, API, reference
aliases:
 - /desktop/extensions-sdk/dev/api/reference/interfaces/ExecOptions/
---

# Interface: ExecOptions

**`Since`**

0.3.0

## Hierarchy

- **`ExecOptions`**

  ↳ [`SpawnOptions`](SpawnOptions.md)

## Properties

### cwd

• `Optional` **cwd**: `string`

___

### env

• `Optional` **env**: `ProcessEnv`
